using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.AccRepository.Request
{
    public class RequestRoutingInStation
    {
        [Required(ErrorMessage = "ProductIsEmpty")]
        public string productid { get; set; }
        [Required(ErrorMessage = "LineIsEmpty")]
        public int line { get; set; }
        [Required(ErrorMessage = "StationIsEmpty")]
        public int station { get; set; }
       
        /// <summary>
        /// enveno
        /// </summary>
        public int status { get; set; }

        public int outstation { get; set; }
    }

    public class RequestUpdateRoutingInStation : RequestRoutingInStation
    {
        [Required(ErrorMessage = "IdIsEmpty")]
        public int id { get; set; }
    }
}
